Bug 827088 - SELinux is preventing /usr/sbin/httpd from using the 'signal' accesses on a process. [NEEDINFO]
SELinux is preventing /usr/sbin/httpd from using the 'signal' accesses on a p...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c8f4075699359d60c127323fbc2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 11:05 EDT by citrusss
Modified: 2012-06-04 07:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 07:57:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (citrusss)


Attachments (Terms of Use)

  None (edit)
Description citrusss 2012-05-31 11:05:06 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.5-2.fc16.x86_64
time:           Thu 31 May 2012 05:03:44 PM CEST

description:
:SELinux is preventing /usr/sbin/httpd from using the 'signal' accesses on a process.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that httpd should be allowed signal access on processes labeled unconfined_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep httpd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:httpd_t:s0
:Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
:                              023
:Target Objects                 [ process ]
:Source                        httpd
:Source Path                   /usr/sbin/httpd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           httpd-2.2.22-4.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-125.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.5-2.fc16.x86_64
:                              #1 SMP Tue May 8 11:24:50 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Thu 31 May 2012 05:02:21 PM CEST
:Last Seen                     Thu 31 May 2012 05:02:21 PM CEST
:Local ID                      f8dacbf2-ded3-451f-8901-d1b7ef6f8a98
:
:Raw Audit Messages
:type=AVC msg=audit(1338476541.685:112): avc:  denied  { signal } for  pid=6940 comm="httpd" scontext=system_u:system_r:httpd_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process
:
:
:type=SYSCALL msg=audit(1338476541.685:112): arch=x86_64 syscall=kill success=yes exit=0 a0=1a45 a1=f a2=4 a3=7fddf254e600 items=0 ppid=1 pid=6940 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=httpd exe=/usr/sbin/httpd subj=system_u:system_r:httpd_t:s0 key=(null)
:
:Hash: httpd,httpd_t,unconfined_t,process,signal
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-05-31 13:37:36 EDT
Why is apache sending a signal to a user process?  Did you run a service that httpd can send a signal to without using an init script?
Comment 2 Miroslav Grepl 2012-06-04 07:57:51 EDT
I believe this happens.

Note You need to log in before you can comment on or make changes to this bug.